×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Nov 2005
    Location
    india
    Posts
    7

    Wht all SDK & other things required

    --------------------------------------------------------------------------------

    helloo all ,
    i m new to mobile application infact i have not started it ...........
    i purchased a mobile n6600 jst three weeks ago ...& when i searched net for applications & games to my shock i found N number of these .........

    so i have a bug of makin a application or a games for my phone ...

    as per i hhave searched there r a few SDK's u rrequire .....as i m new so i dont know much of this ..........
    i have downloaded SDK for nokia s 60 series from symbian.com
    now i dont know wht other things r required ....

    plz ... professionls, mods, admin ....help me out
    list me all the SDK's or anyother thing that is required so that i start makin applications or games & share with u guys ....

    i have also started makin themes...& i think within 2-3 weeks i will b able 2 make good themes ...even better that wht i m makin today....

    help me out
    thnks

  2. #2
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,165

    Re: Wht all SDK & other things required

    for the 6600 phone, I would use the 2.1 SDK. You also need IDE for development purposes. You could use Metrowerks codewarrior, Borland C-Builder or MS VC. From this forum you should be able to find atleast codewarrior that has 90 days trial version. If I remember right borland also has trial versions, so you could try both and see which one you would prefer.

    yucca

  3. #3
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: Wht all SDK & other things required

    The 6600 is a 2.0 device, so a 2.1 app (compiled using the 2.1 SDK) might already have differences that do not work on a 2.0 phone.

    2.0 = S60 2nd (second) Edition
    2.1 = S60 2nd Edition, Feature Pack 1 (FP1)

  4. #4
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,165

    Re: Wht all SDK & other things required

    While writing the last post, I was 100% sure somebody will come up with that sort of reply... anyway, I don't really see point on using 2.0 SDK, since I haven't really ever seen any problems using it with 6600 sofar, so that's the reason I stated that "I would use the 2.1 SDK", of course people can have opinions and would really like to hear if anybody have had really some problems when using 2.1 with 6600, so maybe I could change my opinion on the issue.

    yucca

  5. #5
    Registered User
    Join Date
    Nov 2005
    Location
    india
    Posts
    7

    Re: Wht all SDK & other things required

    Quote Originally Posted by symbianyucca
    for the 6600 phone, I would use the 2.1 SDK.
    i dont have 2.0 or 2.1 SDK ....canu plz provide me link for both

    Quote Originally Posted by symbianyucca
    You also need IDE for development purposes.
    Wht exactly is this
    Quote Originally Posted by symbianyucca
    You could use Metrowerks codewarrior, Borland C-Builder or MS VC. From this forum you should be able to find atleast codewarrior that has 90 days trial version. If I remember right borland also has trial versions, so you could try both and see which one you would prefer.

    yucca
    i have MS visual c++...will this work ...or shld i go for borlandc or MS VC ..only .....

    ad wht is this Metrowerks ....

  6. #6
    Super Contributor
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,569

    Re: Wht all SDK & other things required

    The SDK download links on http://forum.nokia.com/series60

    IDE = Integrated Development Environment (editor, debugger, build tools, etc.) = software such as Microsoft Visual Studio, CodeWarrior, Borland BuilderX, Eclipse, etc.

    For CodeWarrior, see http://www.nokia.com/codewarrior

    While using the 2.1 SDK for 6600 may work very well, and probably does, there is always a risk involved (you may inadvertedly write the code to rely on calls or behaviour that only works on 2.1 and not on 2.0 and then end up wasting time tracking down issues you wouldn't have ended up with in the first place). I have no practical advise of what exactly they would/could be in the case of 2.1 vs. 2.0, but the 2.1 SDK documentation/release notes probably points out some of them.

Similar Threads

  1. Replies: 33
    Last Post: 2011-07-31, 19:39
  2. Wht all SDK & other things required
    By kammaldeep in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2005-11-16, 06:42
  3. Series 60 Concept Emulator (SDK Beta 0.2 Linux) not working
    By mattbee in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2003-06-10, 11:43
  4. Series 60Series 60 MIDP Concept SDK Beta 0.2 Linux bug?
    By kauppi in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2003-04-07, 09:05
  5. Http connection problem in 6310i
    By teahola in forum Mobile Java General
    Replies: 1
    Last Post: 2002-10-03, 18:46

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×